- Qt 6.11
- Qt Core
- C++ Classes
- QAbstractEventDispatcherV2
- Qt 6.11.1 Reference Documentation

# QAbstractEventDispatcherV2 Class

Header: | `#include <QAbstractEventDispatcherV2>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`
Inherits: | QAbstractEventDispatcher

- List of all members, including inherited members

## Public Functions

| QAbstractEventDispatcherV2(QObject *parent = nullptr)
virtual | ~QAbstractEventDispatcherV2() override

## Detailed Description

This class is a temporary hack to enable transition to an API based on `std::chrono` for the Qt event dispatcher. In Qt 7, it will be merged with QAbstractEventDispatcher, replacing the pure virtuals there with the ones defined here.

It is recommended applications and libraries port to the new API before that future release to simplify work when the time comes.

## Member Function Documentation

### `[explicit]` QAbstractEventDispatcherV2::QAbstractEventDispatcherV2(QObject *parent = nullptr)

Constructs a new event dispatcher with the given parent.

### `[override virtual noexcept]` QAbstractEventDispatcherV2::~QAbstractEventDispatcherV2()

Destroys the event dispatcher.